# -*- coding: utf-8 -*-
#
# Copyright (C) 2006-2007 Edgewall Software
# All rights reserved.
#
# This software is licensed as described in the file COPYING, which
# you should have received as part of this distribution. The terms
# are also available at http://posterity.edgewall.org/wiki/License.
#
# This software consists of voluntary contributions made by many
# individuals. For the exact contribution history, see the revision
# history and logs, available at http://posterity.edgewall.org/log/.

from elixir import create_all

from posterity.admin import AdminCommand
from posterity.model import System, SCHEMA_VERSION, init_db


class InitDBCommand(AdminCommand):
    """The "initdb" admin command

    This command prepares database by creating the tables used by the 
    posterity data model.
    """
    cmd_name = 'initdb'
    short_help = 'Initialize database'
    usage = '%prog initdb [options]'

    def finalize_options(self):
        if len(self.args) != 0:
            self.parser.error('Invalid number of arguments')

    def run(self):
        print 'Initializing database...',
        init_db()
        print 'done'
